package de.duehl.gameoflife.data;

import de.duehl.swing.ui.colors.ColorTool;

/**
 * Diese Klasse hält die Optionen für game of Life und bietet Funktionen um sie
 * abzufragen und zu setzen.
 *
 * @version 1.01     2013-11-05
 * @author Christian Dühl
 */

public class Options {

    /** Farbe von lebenden Zellen. */
    private String livingCellColor;

    /** Farbe von toten Zellen. */
    private String deadCellColor;

    /** Konstruktor: Initialisiert mit Defaultwerten. */
    public Options() {
        ColorTool colorTool = new ColorTool();
        livingCellColor = colorTool.javaColorToHexColor(
                new java.awt.Color(255,   0,  51));
        deadCellColor = colorTool.javaColorToHexColor(
                new java.awt.Color( 17,   0, 153));
    }

    /** Getter für die Farbe von lebenden Zellen. */
    public String getLivingCellColor() {
        return livingCellColor;
    }

    /** Setter für die Farbe von lebenden Zellen. */
    public void setLivingCellColor(String livingCellColor) {
        this.livingCellColor = livingCellColor;
    }

    /** Getter für die Farbe von toten Zellen. */
    public String getDeadCellColor() {
        return deadCellColor;
    }

    /** Setter für die Farbe von toten Zellen. */
    public void setDeadCellColor(String deadCellColor) {
        this.deadCellColor = deadCellColor;
    }

}
