package de.duehl.gameoflife.logic;

import de.duehl.swing.logic.Quitter;
import de.duehl.basics.logic.Version;
import de.duehl.gameoflife.data.Options;
import de.duehl.gameoflife.logic.animationloop.AnimationLoop;
import de.duehl.gameoflife.logic.field.GameField;

/**
 * Dieses Interface stellt die reduzierte Verbindung zur Logik für die Gui und
 * andere Klassen dar.
 *
 * @version 1.01     2015-11-10
 * @author Christian Dühl
 */

public interface Logic extends Quitter {

    /** Getter für die Programmversion. */
    Version getVersion();

    /** Getter für das Spielfeld. */
    GameField getField();

    /** Getter für die Animation-Loop. */
    AnimationLoop getAnimationLoop();

    /** Leert das Spielfeld. */
    void clearGameField();

    /** Getter für die Optionen. */
    Options getOptions();

    /** Zeigt den Optionendialog an. */
    void showOptionDialog();

}
