package de.duehl.gameoflife.ui;

import java.awt.Color;

import de.duehl.swing.ui.colors.Colorizer;
import de.duehl.swing.ui.colors.ElementColors;

/**
 * Diese Klasse hält die Standardfarben der Oberfläche und bietet Methoden,
 * diese sowie spezielle Einfärbungen von Oberflächenkomponenten durchzuführen.
 *
 * @see basics.gui.ui.colors.Colorizer
 *
 * @version 1.01     2013-11-05
 * @author Christian Dühl
 */

public class GameOfLifeColorizer extends Colorizer {

    /* Hier zusätzlich verwendete Farben: */
    //public static final String COLOR_GAME_FIELD = "COLOR_GAME_FIELD";

    /**
     * Fügt dem Colorizer eigene Farbvarianten hinzu. Diese Methode kann
     * überschrieben werden, dann sollte allerdings super.initColors() dort
     * aufgerufen werden.
     */
    @Override
    protected void initColors() {
        super.initColors();
//        addNewColortype(
//                COLOR_GAME_FIELD,
//                new ElementColors(
//                        new Color(255,   0,  51),
//                        new Color( 17,   0, 153)
//                        )
//                ); Wird nun über die Optionen gesetzt!
        overwriteColortype(
                Colorizer.GENERAL,
                new ElementColors(
                        Color.BLACK,
                        Color.WHITE
                        )
                );
//        overwriteColortype(
//                Colorizer.GENERAL,
//                new ElementColors(
//                        Color.ORANGE,
//                        Color.DARK_GRAY
//                        )
//                );
    }

}
