package de.duehl.gameoflife.ui;

import de.duehl.basics.logic.ErrorHandler;
import de.duehl.gameoflife.data.Options;

/**
 * Dieses Interface stellt die reduzierte Verbindung zur Gui für die Logik und
 * andere Klassen dar.
 *
 * @version 1.01     2015-11-10
 * @author Christian Dühl
 */

public interface Gui extends ErrorHandler {

    /** Zeigt die Oberfläche an. */
    void show();

    /** Fragt den Benutzer, ob das Programm beendet werden soll. */
    boolean askUserToQuit();

    /** Beendet die Oberfläche. */
    void quit();

    /** Zeigt den Optionendialog an. */
    void showOptionDialog(Options options);

    /** Zeigt das Über... Fenster aus dem Hilfemenü an */
    void about();

    /** Zeigt die Hilfe aus dem Hilfemenü an */
    void help();

    /** Zeigt die Liste der Programmänderungen aus dem Hilfemenü an */
    void changes();

    /** Zeigt die Todo-Liste aus dem Hilfemenü an */
    void todo();

}
