package de.duehl.gameoflife.ui.panel;

import java.awt.Point;
import java.util.ArrayList;
import java.util.List;

public class Cells {

    private final List<Cell> cells;

    public Cells() {
        cells = new ArrayList<>();
    }

    /**
     * Ermittelt die von einem Punkt getroffene Zelle.
     *
     * @param point
     *            Zu überprüfender Punkt.
     * @return Getroffene Zelle oder null, wenn keine getroffen wird.
     */
    public Cell getCellStruckedby(final Point point) {
        for (Cell cell : cells) {
            if (cell.isStruckedby(point)) {
                return cell;
            }
        }
        return null;
    }

    /** Leert die Liste der Zellen. */
    public void clear() {
        cells.clear();
    }

    /**
     * Fügt die übergebene Zelle zur Liste der Zellen hinzu.
     *
     * @param cell
     *            Neue Zelle.
     */
    public void add(Cell cell) {
        cells.add(cell);
    }

}
