package de.duehl.gameoflife.ui.panel;

import java.awt.Point;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import de.duehl.gameoflife.ui.MouseWatcher;

/**
 * Diese Klasse beobachtet Mausbewegungen auf dem GameOfLifePanel.
 *
 * @version 1.01     2013-10-31
 * @author Christian Dühl
 */

public class GameOfLifeMouseListener implements MouseListener {

    private final MouseWatcher watcher;

    public GameOfLifeMouseListener(final MouseWatcher watcher) {
        this.watcher = watcher;
    }

    @Override
    public void mouseClicked(final MouseEvent event) {
        // melden wir nicht
    }

    @Override
    public void mousePressed(final MouseEvent event) {
        Point point = event.getPoint();
        final int mouseX = (int) point.getX();
        final int mouseY = (int) point.getY();
        final int buttonNumber = event.getButton();
        watcher.mousePressedAt(mouseX, mouseY, buttonNumber);
    }

    @Override
    public void mouseReleased(final MouseEvent event) {
        Point point = event.getPoint();
        final int mouseX = (int) point.getX();
        final int mouseY = (int) point.getY();
        final int buttonNumber = event.getButton();
        watcher.mouseReleasedAt(mouseX, mouseY, buttonNumber);
    }

    @Override
    public void mouseEntered(final MouseEvent event) {
        // melden wir nicht
    }

    @Override
    public void mouseExited(final MouseEvent event) {
        // melden wir nicht
    }

}
