package de.duehl.gameoflife.ui.panel;

import java.awt.event.MouseEvent;
import java.awt.event.MouseMotionAdapter;

import de.duehl.gameoflife.ui.MouseWatcher;

/**
 * Diese Klasse beobachtet Mausbewegungen auf dem GameOfLifePanel.
 *
 * @version 1.01     2013-10-31
 * @author Christian Dühl
 */

public class GameOfLifeMouseMotionListener extends MouseMotionAdapter {

    private final MouseWatcher watcher;

    public GameOfLifeMouseMotionListener(final MouseWatcher watcher) {
        this.watcher = watcher;
    }

    @Override
    public void mouseMoved(final MouseEvent event) {
        //workOnMouseChanges(event);
    }

    @Override
    public void mouseDragged(final MouseEvent event) {
        workOnMouseChanges(event);
    }

    private void workOnMouseChanges(final MouseEvent event) {
        final int mouseActualX = event.getX();
        final int mouseActualY = event.getY();
        final int buttonNumber = event.getButton();
        watcher.mouseDraggedTo(mouseActualX, mouseActualY, buttonNumber);
    }

}
