package de.duehl.basics.history;

/**
 * Dieses Interface erlaubt steht für ein Objekt, dass eine Kopie von einem Objekt
 * vom Typ T anfertigen kann.                                                               <br><br>
 *
 * Es muss, wenn T eine Copy-Konstruktor hat, nur                                       <br><br><tt>
 *
 *     return new T(t)                                                                 </tt><br><br>
 *
 * ausführen.
 *
 * @version 1.01     2016-12-20
 * @author Christian Dühl
 */

public interface HistoryObjectCopier<T> {

    T copy(T t);

}
