package de.duehl.basics.io.textfile;

import de.duehl.basics.io.Charset;

/**
 * Diese Klasse liest eine Liste mit den Texten im Format des DictionaryFiles aus den Zeilen einer
 * Textdatei in einer Jar ein.
 *
 * Das Format sieht wie folgt aus:
 *
 * Englisches Wort
 *     Deutsches Wort 1
 *     Deutsches Wort 2
 *     Deutsches Wort 3
 *     Deutsches Wort 4
 *
 * Kommt in einer Datenzeile weiter hinten das Kommentarzeichen vor, so wird ab dort abgeschnitten
 * und getrimmt.
 *
 * @version 1.01     2019-07-04
 * @author Christian Dühl
 */

public class DictionaryFromTextFileInJarReader extends DictionaryFromTextFileReader {

    /**
     * Konstruktor.
     *
     * @param filename
     *            Name der einzulesenden Datei ohne Pfad.
     * @param charset
     *            Kodierung der einzulesenden Datei.
     * @param clazz
     *            Klasse neben der die Datei sich im befindet.
     * @param commentChar
     *            Das Kommentarzeichen.
     */
    public DictionaryFromTextFileInJarReader(String filename, Charset charset, Class<?> clazz,
            String commentChar) {
        super(new StringsFromTextFileInJarReader(filename, charset, clazz, commentChar));
    }

}
