package de.duehl.basics.logic;

/*
 * Copyright 2016 Christian Dühl. All rights reserved.
 *
 * This program is free software. You can redistribute it and/or
 * modify it under the same terms as perl:
 *
 * general:  http://dev.perl.org/licenses/
 * GPL:      http://dev.perl.org/licenses/gpl1.html
 * artistic: http://dev.perl.org/licenses/artistic.html
 */

/**
 * Diese Klasse stellt ein Paar für zwei Objekte vom gleichen Typ dar.
 *
 * @version 1.01     2014-08-14
 * @author Christian Dühl
 */

public class Pair<T> {

    /** Erstes Objekt. */
    private final T first;

    /** Zweites Objekt. */
    private final T second;

    /**
     * Konstruktor.
     *
     * @param first
     *            Erstes Objekt.
     * @param second
     *            Zweites Objekt.
     */
    public Pair(T first, T second) {
        this.first = first;
        this.second = second;
    }

    /** Getter für das erste Objekt. */
    public T getFirst() {
        return first;
    }

    /** Getter für das zweite Objekt. */
    public T getSecond() {
        return second;
    }

    @Override
    public String toString() {
        return "Pair [first=" + first + ", second=" + second + "]";
    }

}
