package de.duehl.basics.datetime.date;

/*
 * Copyright 2016 Christian Dühl. All rights reserved.
 *
 * This program is free software. You can redistribute it and/or
 * modify it under the same terms as perl:
 *
 * general:  http://dev.perl.org/licenses/
 * GPL:      http://dev.perl.org/licenses/gpl1.html
 * artistic: http://dev.perl.org/licenses/artistic.html
 */

import static org.junit.Assert.*;

import java.util.Calendar;

import org.junit.Test;

public class DateHelperTest {

    @Test
    public void calendarToDateTestNow() {
        Calendar cal = Calendar.getInstance();
        ImmutualDate date = DateHelper.calendarToDate(cal);
        assertNotNull(date);
    }

    @Test
    public void calendarToDateTestConcreteDate() {
        Calendar cal = Calendar.getInstance();
        cal.set(2016, 10 - 1, 12, 11, 25, 0);

        ImmutualDate date = DateHelper.calendarToDate(cal);

        int actualYear = date.getYear();
        int actualMonth = date.getMonth();
        int actualDay = date.getDay();

        int expectedYear = 2016;
        int expectedMonth = 10;
        int expectedDay = 12;

        assertEquals(expectedYear, actualYear);
        assertEquals(expectedMonth, actualMonth);
        assertEquals(expectedDay, actualDay);
    }

}
